DeltaSessionInterface (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.modules.session.catalina

## Interface DeltaSessionInterface

- All Superinterfaces:
    org.apache.catalina.Session
  All Known Implementing Classes:
    DeltaSession, DeltaSession7, DeltaSession8

      public interface DeltaSessionInterface
      extends org.apache.catalina.Session

- - ### Field Summary

    - ### Fields inherited from interface org.apache.catalina.Session

      `SESSION_ACTIVATED_EVENT, SESSION_CREATED_EVENT, SESSION_DESTROYED_EVENT, SESSION_PASSIVATED_EVENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()`
    `void` | `activate()`
    `void` | `applyAttributeEvents(Region<java.lang.String,DeltaSessionInterface> region, java.util.List<org.apache.geode.modules.session.catalina.internal.DeltaSessionAttributeEvent> events)`
    `void` | `commit()`
    `void` | `fromData(java.io.DataInput is)`
    `java.lang.String` | `getContextName()`
    `boolean` | `getExpired()`
    `boolean` | `isValid()`
    `void` | `localDestroyAttribute(java.lang.String name)`
    `void` | `localUpdateAttribute(java.lang.String attributeName, java.lang.Object attributeValue)`
    `void` | `processExpired()`
    `void` | `setOwner(java.lang.Object manager)`
    `void` | `toData(java.io.DataOutput os)`

    - ### Methods inherited from interface org.apache.catalina.Session

      `access, addSessionListener, endAccess, expire, getAuthType, getCreationTime, getId, getIdInternal, getInfo, getLastAccessedTime, getLastAccessedTimeInternal, getManager, getMaxInactiveInterval, getNote, getNoteNames, getPrincipal, getSession, recycle, removeNote, removeSessionListener, setAuthType, setCreationTime, setId, setId, setManager, setMaxInactiveInterval, setNew, setNote, setPrincipal, setValid`

- - ### Method Detail

    - #### commit

          void commit()

    - #### abort

          void abort()

    - #### isValid

          boolean isValid()

      Specified by:
        `isValid` in interface `org.apache.catalina.Session`

    - #### localDestroyAttribute

          void localDestroyAttribute(java.lang.String name)

    - #### applyAttributeEvents

          void applyAttributeEvents(Region<java.lang.String,DeltaSessionInterface> region,
                                    java.util.List<org.apache.geode.modules.session.catalina.internal.DeltaSessionAttributeEvent> events)

    - #### localUpdateAttribute

          void localUpdateAttribute(java.lang.String attributeName,
                                    java.lang.Object attributeValue)

    - #### toData

          void toData(java.io.DataOutput os)
               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### fromData

          void fromData(java.io.DataInput is)
                 throws java.io.IOException,
                        java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### getContextName

          java.lang.String getContextName()

    - #### getExpired

          boolean getExpired()

    - #### setOwner

          void setOwner(java.lang.Object manager)

    - #### activate

          void activate()

    - #### processExpired

          void processExpired()